package com.loafle.overflow.model.meta;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "META_HISTORY_TYPE", schema = "public")
public class MetaHistoryType {
  private Integer id;
  private String key;
  private String name;
  private Date createDate;

  public MetaHistoryType() {

  }

  public MetaHistoryType(Integer id) {
    this.id = id;
  }

  @Id
  public Integer getId() {
    return id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  @Column(name = "KEY", nullable = true, length = 50)
  public String getKey() {
    return key;
  }

  public void setKey(String key) {
    this.key = key;
  }

  @Column(name = "NAME", nullable = true, length = 50)
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  @Temporal(TemporalType.TIMESTAMP)
  @Column(name = "CREATE_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false, updatable = false)
  public Date getCreateDate() {
    return createDate;
  }

  public void setCreateDate(Date createDate) {
    this.createDate = createDate;
  }

}
