package com.loafle.overflow.service.central.apikey;

import com.loafle.overflow.core.annotation.WebappAPI;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.apikey.ApiKey;

/**
 * Created by geek on 17. 11. 7.
 */
public interface ApiKeyService {
  @WebappAPI
  ApiKey regist(ApiKey apiKey) throws OverflowException;

  @WebappAPI
  ApiKey readByDomainID(Long domainID) throws OverflowException;

  boolean check(String apiKey) throws OverflowException;

  @WebappAPI
  ApiKey readByApiKey(String apiKey) throws OverflowException;
}
